package com.zjty.inspect.entity;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Mcj
 * @date 2020-03-05 19:24
 */

public class CustomPage<T> {

    private int totalPage;
    private int totalElement;
    private List<T> objects = new ArrayList<T>();
    public void add(T t){
        objects.add(t);
    }
    public void addAll(List<T> t){
        objects.addAll(t);
    }
    public void setTotalPage(int totalPage) {
        this.totalPage = totalPage;
    }

    public void setTotalElement(int totalElement) {
        this.totalElement = totalElement;
    }

    public int getTotalPage() {
        return totalPage;
    }

    public int getTotalElement() {
        return totalElement;
    }

    public List<T> getObjects() {
        return objects;
    }

    public void setObjects(List<T> objects) {
        this.objects=objects;
    }
}
